Skip to main content
POST
/
quote
/
bridge-swap
/
user
User Quote for Bridge & Swap
curl --request POST \
  --url https://api.rhino.fi/bridge/quote/bridge-swap/user \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "chainIn": "<string>",
  "chainOut": "<string>",
  "amount": "<string>",
  "mode": "pay",
  "tokenIn": "<string>",
  "tokenOut": "<string>",
  "depositor": "<string>",
  "recipient": "<string>",
  "amountNative": "<string>",
  "isSda": "true",
  "postBridgeData": {
    "_tag": "extended",
    "vaultId": 1
  },
  "webhookUrl": "<string>",
  "refundAddress": "<string>"
}
'
{
  "_tag": "bridge",
  "chainIn": "<string>",
  "chainOut": "<string>",
  "payAmount": "<string>",
  "payAmountUsd": 123,
  "receiveAmount": "<string>",
  "receiveAmountUsd": 123,
  "fees": {
    "fee": "<string>",
    "feeUsd": 123,
    "gasFee": "<string>",
    "gasFeeUsd": 123,
    "sourceGasFee": "<string>",
    "sourceGasFeeUsd": 123,
    "platformFee": "<string>",
    "platformFeeUsd": 123,
    "percentageFee": "<string>",
    "percentageFeeUsd": 123,
    "percentageFeeAmount": 123,
    "percentageFeeThreshold": 123,
    "sponsoredFees": {
      "fee": "<string>",
      "feeUsd": 123,
      "gasFee": "<string>",
      "gasFeeUsd": 123,
      "sourceGasFee": "<string>",
      "sourceGasFeeUsd": 123,
      "platformFee": "<string>",
      "platformFeeUsd": 123,
      "percentageFee": "<string>",
      "percentageFeeUsd": 123
    }
  },
  "token": "<string>",
  "depositor": "<string>",
  "recipient": "<string>",
  "expiresAt": "<string>",
  "quoteId": "<string>",
  "promotion": {
    "name": "<string>",
    "maxLimitUsd": 123
  },
  "gasBoost": {
    "amountNative": "<string>",
    "amountNativeUsd": 123,
    "amountNativeTokenCost": "<string>"
  },
  "speed": "fast",
  "estimatedDuration": 1,
  "postBridgeData": {
    "_tag": "extended",
    "vaultId": 1
  },
  "webhookUrl": "<string>"
}

Authorizations

Authorization
string
header
required

JWT token for authentication

Body

application/json
chainIn
string
required

The source chain ID

chainOut
string
required

The target chain ID

amount
string
required

a string to be decoded into a BigDecimal

mode
enum<string>
required

"pay" for exact amount to pay (including fees), "receive" for exact amount to receive.

Available options:
pay,
receive
tokenIn
string
required

The token symbol to deposit (e.g., "USDT").

tokenOut
string
required

The token symbol to receive after a swap (e.g., "USDC").

depositor
string
required

The address initiating the bridge transaction.

recipient
string
required

The address to receive the bridged tokens.

amountNative
string

a string to be decoded into a BigDecimal

isSda
enum<string>

Optional flag indicating if this quote is for a Smart Deposit Address. Defaults to false.

Available options:
true,
false
postBridgeData
object
webhookUrl
string
refundAddress
string

Response

ConnectedSingleBridgeQuoteResponseSchema

_tag
enum<string>
required
Available options:
bridge
chainIn
string
required

The source chain ID

chainOut
string
required

The target chain ID

payAmount
string
required

a string to be decoded into a BigDecimal

payAmountUsd
number
required

a number to be decoded into a BigDecimal

receiveAmount
string
required

a string to be decoded into a BigDecimal

receiveAmountUsd
number
required

a number to be decoded into a BigDecimal

fees
object
required

Breakdown of all fees associated with the transaction.

token
string
required

Token symbol or identifier being bridged.

depositor
string
required

The address initiating the bridge transaction.

recipient
string
required

The address to receive the bridged tokens.

expiresAt
string
required

Timestamp when the quote expires and can no longer be committed.

quoteId
string
required

Unique identifier for the committed quote.

promotion
object

Promotion details if applicable (optional).

gasBoost
object

Gas amount to receive on the destination chain.

speed
enum<string>

Transaction speed (optional).

Available options:
fast,
standard,
slow
estimatedDuration
number

Estimated time for the transaction to complete in milliseconds (optional).

Required range: x >= 0
postBridgeData
object

Configuration for post-bridge actions (e.g., staking, lending). Must be omitted if your client does not have PBA enabled. See https://docs.rhino.fi/api-integration/smart-deposits#post-bridge-data for details.

webhookUrl
string

Optional URL for webhook notifications when the bridge completes or fails.